<?php

	/*******************************************************************\
	|																	|
	|	房佳（新房报备ERP管理系统）										|
	|																	|
	|	© 2020-2023 http://www.kaidandashi.com/ All rights reserved.	|
	|																	|
	|	本系统由淮南市银泰软件科技有限公司提供技术支持					|
	|																	|
	|	QQ号：984784483													|
	|																	|
	\*******************************************************************/

	namespace Admin\Controller;
	use Think\Controller;
	use Common\Controller\BaseController;
	class CommonController extends BaseController {

		Public function _initialize(){
			parent::_initialize();
			if (ismobile()) {
				//设置默认默认主题为 Mobile
				$mobile = get_img_url("/mobile");
				redirect($mobile);die;
			}
			/* 读取数据库中的配置 */
			$config =   S('DB_CONFIG_DATA');
			if(!$config){
				$config = lists();
				S('DB_CONFIG_DATA',$config);
			}
			C($config); //添加配置
			$browsertype=getBrowser();
			if (!isset($_SESSION[C('USER_AUTH_KEY')])) {
				$this->redirect('Login/index');
			}
			$access = \Org\Util\Rbac::AccessDecision();
			if(!$access){
			   $this->error('你没有权限',1,'index/index');
			}
		}

	}